Bug 248497 - Xen: No graphical console for HVM guests
Xen: No graphical console for HVM guests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 00:43 EDT by Felix Schwarz
Modified: 2008-06-16 21:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2007-07-17 00:43:18 EDT
Description of problem:
I recently migrated my Xen guests to a new host running F7 (64 bit), the old one
was FC6 (64 bit). After this migration, I do not have a graphical console for my
hvm guests when I double click a vm in virt-manager. This worked in FC6 and it
still works for pv guests.

The only exception is my 32 bit (hvm) Fedora 7 guest which I created at the new
host so it uses the new config system. This hvm guest is the only one which has
a graphical console.

A typical config file looks like this:
# ----------------------------------------------------
name = "xenguest"
builder = "hvm"
memory = "384"
disk = [ 'file:/var/lib/xen/images/xenguest,hda,w', ]
vif = [ 'type=ioemu, mac=00:16:3e:07:c6:b7, bridge=eth0', ]
uuid = "29a3ace5-d4bd-9dfa-0f64-480e5c32d0b0"
device_model = "/usr/lib64/xen/bin/qemu-dm"
kernel = "/usr/lib/xen/boot/hvmloader"

vnc=1
vncunused=1

apic=1
acpi=1
pae=1

vcpus=1
serial = "pty" # enable serial console
on_reboot   = 'restart'
on_crash    = 'restart'
# ----------------------------------------------------


How reproducible:
Always

Steps to Reproduce:
1. Start a hvm guest with the config above
2. launch virt-manager
3. double click the vm in the virt-manager listing
  
Actual results:
No graphical console is shown

Expected results:
Should see graphical console as in FC6.

Additional info:
This seems to be an issue with changed configuration syntax. If I replace the
vnc options with "vfb = [ 'type=vnc,vncunused=1' ]" I get the console back,
everything works as expected.
Comment 1 Daniel Berrange 2007-07-17 07:31:31 EDT
What command are you using to launch the guest 'xm create', 'virsh start' or
virt-manager itself ?
Comment 2 Felix Schwarz 2007-07-17 14:23:20 EDT
I tried 'xm create'. 'virsh start' does not work as the vm configuration is
stored in /etc/xen and virsh does not seem to handle these. virt-manager does
not show the domain either so I don't know how to start it from virt-manager.
Comment 3 Bug Zapper 2008-05-14 09:34:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:53:41 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.